## PhoshTimestampLabel

PhoshTimestampLabel — A simple way of displaying a time difference

## Functions

PhoshTimestampLabel * | phosh_timestamp_label_new ()
void | phosh_timestamp_label_set_timestamp ()
GDateTime * | phosh_timestamp_label_get_timestamp ()

## Properties

GDateTime * | timestamp | Read / Write

## Types and Values

#define | PHOSH_TYPE_TIMESTAMP_LABEL
| PhoshTimestampLabel

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkMisc
                    ╰── GtkLabel
                        ╰── PhoshTimestampLabel

## Implemented Interfaces

PhoshTimestampLabel implements AtkImplementorIface and GtkBuildable.

## Description

The PhoshTimestampLabel is used to display the time difference between the timestamp stored in the PhoshTimestampLabel and the current time.

## Functions

### phosh_timestamp_label_new ()

    PhoshTimestampLabel *
    phosh_timestamp_label_new (void);

### phosh_timestamp_label_set_timestamp ()

    void
    phosh_timestamp_label_set_timestamp (PhoshTimestampLabel *self,
                                         GDateTime *date);

### phosh_timestamp_label_get_timestamp ()

    GDateTime *
    phosh_timestamp_label_get_timestamp (PhoshTimestampLabel *self);

## Types and Values

### PHOSH_TYPE_TIMESTAMP_LABEL

    #define PHOSH_TYPE_TIMESTAMP_LABEL (phosh_timestamp_label_get_type ())

### PhoshTimestampLabel

    typedef struct _PhoshTimestampLabel PhoshTimestampLabel;

## Property Details

### The `“timestamp”` property

      “timestamp”                GDateTime *

The label's timestamp.

Owner: PhoshTimestampLabel

Flags: Read / Write